// creator  : weidu.exe (version 23100)
// argument : HALFTR.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HALFTR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 8 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #5373 /* ~Additional Priest Spells~ */
  IF ~~ THEN REPLY #5374 /* ~Additional Mage Spells~ */ GOTO 2
  IF ~~ THEN REPLY #5375 /* ~Backstab Multiplier Increased by~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #5376 /* ~Lay On Hands Increased by~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #5377 /* ~Lore increased by~ */
  IF ~~ THEN REPLY #5378 /* ~Additional Skill Points~ */ DO ~EscapeArea()
~ GOTO 6
  IF ~~ THEN REPLY #5379 /* ~You can't use this ability until you have recovered from being the Slayer~ */ GOTO 3
  IF ~~ THEN REPLY #5380 /* ~No! The troupe... my friends! NO!!~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #5381 /* ~You feel your control slipping...~ */
  IF ~~ THEN REPLY #5382 /* ~End Slayer Change~ */ GOTO 6
  IF ~~ THEN REPLY #5383 /* ~Hahahahahaha!!!!!~ */ GOTO 5
  IF ~PartyGoldGT(999)
~ THEN REPLY #5384 /* ~It's hopeless.~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 2.2
  SAY #5385 /* ~... oops...~ */
  IF ~~ THEN REPLY #5386 /* ~Derelict house~ */ GOTO 6
  IF ~~ THEN REPLY #5388 /* ~Ahhh, the child of Bhaal has awoken.~ [DPJON156] */ GOTO 5
  IF ~PartyGoldGT(999)
~ THEN REPLY #5394 /* ~Shadow Dragon Scales~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.1 3.1
  SAY #5397 /* ~Shadow Dragon Scales~ */
  IF ~PartyGoldGT(999)
~ THEN REPLY #5413 /* ~~ */ GOTO 7
  IF ~~ THEN REPLY #5416 /* ~It is time for more experiments.~ [DPJON157] */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1 4.0 3.0 2.0
  SAY #6991 /* ~Alright then, stay with us. That was fun watching you beg though.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.0 4.2 3.2
  SAY #6992 /* ~Tears indeed!  Stand away lest I bring you a fireball as well!  (Such suffering I must endure!  The pain behind my eyes does grow steadily!)~ */
  IF ~~ THEN DO ~GiveItem("MISC19",LastTalkedToBy)
TakePartyGold(1000)
EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #6995 /* ~Tee-hee!  No you're not, you're standing just like the rest of us! ... And, honestly, what is there to heal?  Next time... you'll be more careful how you word your wishes, won't you?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #9299 /* ~No, no. This is a task I must face alone. Oh, I am already so weary but I know I shall not rest until the deed is done... Meet me back at my Order in three hours and, if the gods are willing, this nightmare shall all be over.~ */
  IF ~~ THEN EXIT
END
